From 8cbc6e8fe4581bc9856d7928c6c5b153bab7c64b Mon Sep 17 00:00:00 2001
From: "Pedro A. Aranda" <paranda@it.uc3m.es>
Date: Fri, 1 Mar 2024 17:06:24 +0100
Subject: [PATCH 1/3] Don't create new environment if
 org-beamer-frame-environment is 'frame'

---
 lisp/ox-beamer.el | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/lisp/ox-beamer.el b/lisp/ox-beamer.el
index 998810a28..1633191d2 100644
--- a/lisp/ox-beamer.el
+++ b/lisp/ox-beamer.el
@@ -852,8 +852,10 @@ holding export options."
      ;; Document class and packages.
      (org-latex-make-preamble info)
      ;; Define the alternative frame environment.
-     (format "\\newenvironment<>{%s}[1][]{\\begin{frame}[environment=%1$s,#1]}{\\end{frame}}\n"
-             org-beamer-frame-environment)
+     ;; Only makes sense if the name for it is not "frame"
+     (unless (string= "frame" org-beamer-frame-environment)
+       (format "\\newenvironment<>{%s}[1][]{\\begin{frame}[environment=%1$s,#1]}{\\end{frame}}\n"
+               org-beamer-frame-environment))
      ;; Insert themes.
      (let ((format-theme
 	    (lambda (prop command)
-- 
2.37.1 (Apple Git-137.1)

